Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006246 [JEDI VCL] 00 JVCL Components major sometimes 2014-01-16 23:34 2015-09-14 13:20
Reporter rbwinston View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.47
Summary 0006246: TJvxCheckListBox does not support 64 bit delphi properly
Description In TJvxCheckListBox.FindCheckObject, the local variable ItemData is declared as longint when it should be declared as NativeInt for it to work properly in 64 bit programs. ItemData is cast to TObject which, as a pointer, can be higher than the maximum value of a longint when compiled as a 64 bit program.
To get this to work TJvxCustomListBox.GetItemData should also return a NativeInt and TJvxCustomListBox.SetItemData should also have AData declared as a NativeInt. The same changes also need to be made in TJvxCheckListBox.GetItemData and TJvxCheckListBox.SetItemData
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0020900)
rbwinston (reporter)
2014-01-17 04:21

In TJvCheckListBoxItem, FData also needs to be declared as NativeInt.
(0020901)
AHUser (developer)
2014-01-17 18:26

Fixed in master branch.

- Issue History
Date Modified Username Field Change
2014-01-16 23:34 rbwinston New Issue
2014-01-17 04:21 rbwinston Note Added: 0020900
2014-01-17 18:26 AHUser Note Added: 0020901
2014-01-17 18:26 AHUser Status new => resolved
2014-01-17 18:26 AHUser Fixed in Version => Daily / GIT
2014-01-17 18:26 AHUser Resolution open => fixed
2014-01-17 18:26 AHUser Assigned To => AHUser
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker